This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 450789 - Cannot install F9 x86_64 on dual quad-core intel Mac Pro
Cannot install F9 x86_64 on dual quad-core intel Mac Pro
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-10 20:43 EDT by Chris Stark
Modified: 2009-07-14 11:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:50:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Stark 2008-06-10 20:43:38 EDT
Description of problem:

When attempting to install the 64-bit version of Fedora 9 onto my new dual
quad-core Mac Pro, the USB keyboard is not detected, thus making it impossible
to proceed past the media check. The media has been verified, and the 32-bit
version works properly. Additionally, Ubuntu 8.04/64-bit installed without issue.

Version-Release number of selected component (if applicable):

Fedora 9 x86_64 DVD and Fedora 9 x86_64 LiveCD 

How reproducible:

Every time

Steps to Reproduce:
1. Attempt installation via DVD, LiveCD, or via CD created from boot.iso image
  
Actual results:

Keyboard and mouse not detected by installer.

Expected results:

Normal installation

Additional info:

System has 4GB RAM and nVidia graphics card
Comment 1 bcling 2008-06-16 14:58:41 EDT
(In reply to comment #0)
> Fedora 9 x86_64 DVD and Fedora 9 x86_64 LiveCD 

Fedora 8 x86_64 and LiveCD do not have this problem.

> System has 4GB RAM and nVidia graphics card

Same results on 10 GBM RAM and ATI graphis card.
Comment 2 bcling 2008-06-16 15:04:04 EDT
(In reply to comment #0)

Forgot to mention... Installs fine to MacBook Pro (older Core 2 Duo, ATI).
Comment 3 Kevin Camera 2008-07-26 13:12:21 EDT
Same results here (6GB RAM,  dual quad 2.8GHz).  The root cause of the issue is the USB controller: it is 
apparently not properly detected by the installer.  Unfortunately, without the use of a keyboard, I can't 
provide any other details.

The keyboard does work fine at the actual boot screen and I can select from the installation options 
(graphical, text, etc.)  It's only after the installation kernel is loaded that the USB controller "shuts off" (I 
can see my hub lose host connectivity), and consequently the keyboard and mouse are gone.
Comment 4 Bug Zapper 2009-06-09 21:32:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 11:50:16 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.